// 現在の図面を取得する
var doc = Application.ActiveDocument;
 
// ShapePrinting イベントのパラメータを取得する
var e = (ShapePrintingEventArgs)EventArgs;

// 補助線レイヤの図形は印刷しないで、寸法図形は赤色、文字図形は青色で印刷します。
Shape shape = e.Shape;
if(doc.LayerTable.GetLayerByID(shape.LayerID).Name == "補助線")
{
	e.Cancel = true;
}
else if(shape is DimensionShape)
{
	((DimensionShape)shape).ColorNumber = 2;
}
else if(shape is TextShape) 
{
	((TextShape)shape).ColorNumber = 4;
}
